<?php
/**
 * Stylite
 *
 * @link www.stylite.de
 * @author Ralf Becker <rb(at)stylite.de>
 * @copyright (c) 2012-14 by Ralf Becker <rb(at)stylite.de>
 * @package esyncpro
 * @subpackage setup
 * @version $Id: setup.inc.php 3446 2014-11-28 12:45:07Z ralfbecker $
 */

$setup_info['esyncpro']['name']        = 'esyncpro';
$setup_info['esyncpro']['version']     = '14.1';
$setup_info['esyncpro']['app_order']   = 1;
$setup_info['esyncpro']['tables']      = array('egw_esync_policies','egw_esync_devices');
$setup_info['esyncpro']['enable']      = 2;		// no navbar
$setup_info['esyncpro']['autoinstall'] = true;	// install automatically on update

$setup_info['esyncpro']['author'] = array(
	'name'  => 'Ralf Becker',
	'email' => 'rb@stylite.de',
);
$setup_info['esyncpro']['maintainer'] = array(
	'name'  => 'Stylite AG',
	'url'   => 'http://www.stylite.de',
);
$setup_info['esyncpro']['license']  = array(
	'name' => 'Stylite EPL license',
	'url'  => 'http://www.stylite.de/EPL',
);
$setup_info['esyncpro']['description'] = 'Part of EPL EGroupware packages from Stylite AG';
$setup_info['esyncpro']['note'] = 'For more information please visit: <a href="http://www.stylite.de/EPL" target="_blank">www.stylite.de/EPL</a>';

$setup_info['esyncpro']['hooks']['admin'] = 'esyncpro_ui::admin';
$setup_info['esyncpro']['hooks']['deleteaccount'] = 'esyncpro.esyncpro_device.deleteaccount';
$setup_info['esyncpro']['hooks']['esync_extra_apps'] = 'esyncpro_activesync::esync_extra_apps';

/* Dependencies for this app to work */
$setup_info['esyncpro']['depends'][] = array(
	'appname' => 'phpgwapi',
	'versions' => Array('1.9','14.1')
);
$setup_info['esyncpro']['depends'][] = array(
	'appname' => 'etemplate',
	'versions' => Array('1.9','14.1')
);





