<?php
/**
 * Stylite eSync Pro(visioning)
 * http://www.egroupware.org
 * Created by eTemplates DB-Tools written by ralfbecker@outdoor-training.de
 *
 * @package esyncpro
 * @subpackage setup
 * @version $Id: tables_current.inc.php 2577 2013-06-12 16:23:16Z ralfbecker $
 */

$phpgw_baseline = array(
	'egw_esync_policies' => array(
		'fd' => array(
			'policy_id' => array('type' => 'auto','nullable' => False),
			'policy_name' => array('type' => 'varchar','precision' => '64'),
			'policy_loose' => array('type' => 'bool','default' => '1','comment' => 'allow loose provisioning'),
			'policy_update' => array('type' => 'int','precision' => '2','comment' => 'device update in hours'),
			'policy_pw_required' => array('type' => 'bool','nullable' => False,'default' => '','comment' => 'DevicePasswordEnabled: optinal, pw is required'),
			'policy_pw_simple' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowSimpleDevicePassword: optional'),
			'policy_pw_alphanum' => array('type' => 'bool','nullable' => False,'default' => '','comment' => 'AlphanumericDevicePasswordRequired: optional'),
			'policy_pw_complexity' => array('type' => 'int','precision' => '1','nullable' => False,'default' => '3','comment' => 'MinDevicePasswordComplexCharacters: 1-4: lower, upper case, numbers or non-alphanum chars required'),
			'policy_dev_encryption' => array('type' => 'bool','nullable' => False,'default' => '','comment' => 'RequireDeviceEncryption: optional, device encryption required'),
			'policy_card_encryption' => array('type' => 'bool','nullable' => False,'default' => '','comment' => 'RequireStorageCardEncryption: optional, storage card encryption required'),
			'policy_pw_length' => array('type' => 'int','precision' => '1','nullable' => False,'default' => '1','comment' => 'MinDevicePasswordLength: optional: 1-16'),
			'policy_pw_max_failed' => array('type' => 'int','precision' => '1','nullable' => False,'default' => '5','comment' => 'MaxDevicePasswordFailedAttempts: optional, 4-16'),
			'policy_max_inactive_lock' => array('type' => 'int','precision' => '2','nullable' => False,'default' => '166','comment' => 'MaxInactivityTimeDeviceLock: optional, in secs, db in min'),
			'policy_pw_recovery' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'PasswordRecoveryEnabled: optional'),
			'policy_pw_expiration' => array('type' => 'int','precision' => '1','comment' => 'DevicePasswordExpiration: optional, in days'),
			'policy_pw_history' => array('type' => 'int','precision' => '1','nullable' => False,'default' => '0','comment' => 'DevicePasswordHistory: optional, 0=not required'),
			'policy_max_cal_age' => array('type' => 'int','precision' => '1','nullable' => False,'default' => '7','comment' => 'MaxCalendarAgeFilter: optional, 0=all, 4=2weeks, 5=1month, 6=3month, 7=6month'),
			'policy_max_email_age' => array('type' => 'int','precision' => '1','nullable' => False,'default' => '5','comment' => 'MaxEmailAgeFilter: optinal, 0=all, 1=1day, 2=3days, 3=1week, 4=2weeks, 5=1month'),
			'policy_max_email_size' => array('type' => 'int','precision' => '4','nullable' => False,'default' => '-1','comment' => 'MaxEmail(HTML)BodyTruncationSize, optional, -1=no truncation, 0=header only, >0=size in byte, db in kb'),
			'policy_max_attachment_size' => array('type' => 'int','precision' => '4','comment' => 'MaxAttachmentSize, optional, in byte, db in kb'),
			'policy_roaming_manual' => array('type' => 'bool','nullable' => False,'default' => '','comment' => 'RequireManualSyncWhenRoaming: optinal'),
			'policy_allow_html' => array('type' => 'bool','nullable' => False,'default' => '1'),
			'policy_attachments' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AttachmentsEnabled: optinal'),
			'policy_attachment_size' => array('type' => 'int','precision' => '2','comment' => 'MaxAttachmentSize: optional in kb'),
			'policy_allow_sms' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowTextMessaging: optional'),
			'policy_allow_card' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowStorageCard: optional'),
			'policy_allow_camera' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowCamera: optional'),
			'policy_allow_wifi' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowWifi: optional'),
			'policy_allow_irda' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowIrDA: optional'),
			'policy_allow_inetsharing' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowInternetSharing: optional'),
			'policy_allow_bluetooth' => array('type' => 'int','precision' => '1','nullable' => False,'default' => '2','comment' => 'AllowBluetooth: 0=no, 1=no, but handsfree, 2=yes'),
			'policy_modified' => array('type' => 'timestamp','nullable' => False,'default' => 'current_timestamp'),
			'policy_modifier' => array('type' => 'int','meta' => 'user','precision' => '4'),
			'policy_allow_popimap' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowPOPIMAPEmail: optinal'),
			'policy_allow_browser' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowBrowser: optional'),
			'policy_allow_consumer_email' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowConsumerEmail: optional'),
			'policy_allow_rdesktop' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowRemoteDesktop: optional'),
			'policy_allow_desktop_sync' => array('type' => 'bool','nullable' => False,'default' => '1','comment' => 'AllowDesktopSync: optinal')
		),
		'pk' => array('policy_id'),
		'fk' => array(),
		'ix' => array(),
		'uc' => array('policy_id')
	),
	'egw_esync_devices' => array(
		'fd' => array(
			'dev_id' => array('type' => 'auto','nullable' => False),
			'account_id' => array('type' => 'int','precision' => '4'),
			'dev_name' => array('type' => 'varchar','precision' => '64'),
			'dev_model' => array('type' => 'varchar','precision' => '64'),
			'dev_phoneno' => array('type' => 'varchar','precision' => '64'),
			'dev_operator' => array('type' => 'varchar','precision' => '64'),
			'dev_type' => array('type' => 'varchar','precision' => '64'),
			'dev_uid' => array('type' => 'varchar','precision' => '64','nullable' => False),
			'dev_imei' => array('type' => 'varchar','precision' => '15'),
			'dev_os' => array('type' => 'varchar','precision' => '64'),
			'dev_lang' => array('type' => 'varchar','precision' => '32'),
			'dev_useragent' => array('type' => 'varchar','precision' => '64'),
			'dev_access_status' => array('type' => 'bool'),
			'dev_access_via' => array('type' => 'int','precision' => '1'),
			'policy_id' => array('type' => 'int','precision' => '4'),
			'dev_policy_applied' => array('type' => 'timestamp','comment' => 'TS when policy was applied'),
			'dev_as_version' => array('type' => 'varchar','precision' => '8'),
			'dev_last_sync' => array('type' => 'timestamp'),
			'dev_modified' => array('type' => 'timestamp','nullable' => False,'default' => 'current_timestamp'),
			'dev_modifier' => array('type' => 'int','precision' => '4'),
			'dev_rw_status' => array('type' => 'int','precision' => '1','default' => '1','comment' => '1=OK, 2=wipe pending, 3=wiped'),
			'dev_wiped' => array('type' => 'timestamp','comment' => 'TS when dev was wiped'),
			'dev_last_cmd' => array('type' => 'varchar','precision' => '32','comment' => 'last AS command')
		),
		'pk' => array('dev_id'),
		'fk' => array(),
		'ix' => array('account_id','dev_imei'),
		'uc' => array('dev_id','dev_uid')
	)
);
